/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BulkPublishInput } from "../types/BulkPublishInput";
import { BulkPublishOutput } from "../types/BulkPublishOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/BulkPublishInput";
export * from "../types/BulkPublishOutput";
export * from "../types/BulkPublishExceptionsUnion";
export declare class BulkPublishCommand implements __aws_sdk_types.Command<InputTypesUnion, BulkPublishInput, OutputTypesUnion, BulkPublishOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: BulkPublishInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BulkPublishInput, BulkPublishOutput, _stream.Readable>;
    constructor(input: BulkPublishInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<BulkPublishInput, BulkPublishOutput>;
}
