/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCognitoEventsInput } from "../types/GetCognitoEventsInput";
import { GetCognitoEventsOutput } from "../types/GetCognitoEventsOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/GetCognitoEventsInput";
export * from "../types/GetCognitoEventsOutput";
export * from "../types/GetCognitoEventsExceptionsUnion";
export declare class GetCognitoEventsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCognitoEventsInput, OutputTypesUnion, GetCognitoEventsOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: GetCognitoEventsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCognitoEventsInput, GetCognitoEventsOutput, _stream.Readable>;
    constructor(input: GetCognitoEventsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<GetCognitoEventsInput, GetCognitoEventsOutput>;
}
