"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIdentityPoolConfiguration_1 = require("../model/operations/GetIdentityPoolConfiguration");
var GetIdentityPoolConfigurationCommand = /** @class */ (function () {
    function GetIdentityPoolConfigurationCommand(input) {
        this.input = input;
        this.model = GetIdentityPoolConfiguration_1.GetIdentityPoolConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIdentityPoolConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIdentityPoolConfigurationCommand;
}());
exports.GetIdentityPoolConfigurationCommand = GetIdentityPoolConfigurationCommand;
//# sourceMappingURL=GetIdentityPoolConfigurationCommand.js.map