"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRecords_1 = require("../model/operations/UpdateRecords");
var UpdateRecordsCommand = /** @class */ (function () {
    function UpdateRecordsCommand(input) {
        this.input = input;
        this.model = UpdateRecords_1.UpdateRecords;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRecordsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRecordsCommand;
}());
exports.UpdateRecordsCommand = UpdateRecordsCommand;
//# sourceMappingURL=UpdateRecordsCommand.js.map