"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetBulkPublishDetailsInput_1 = require("../shapes/GetBulkPublishDetailsInput");
var GetBulkPublishDetailsOutput_1 = require("../shapes/GetBulkPublishDetailsOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetBulkPublishDetails = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetBulkPublishDetails",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/getBulkPublishDetails"
    },
    input: {
        shape: GetBulkPublishDetailsInput_1.GetBulkPublishDetailsInput
    },
    output: {
        shape: GetBulkPublishDetailsOutput_1.GetBulkPublishDetailsOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        }
    ]
};
//# sourceMappingURL=GetBulkPublishDetails.js.map