/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDatasetInput } from "../types/DeleteDatasetInput";
import { DeleteDatasetOutput } from "../types/DeleteDatasetOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/DeleteDatasetInput";
export * from "../types/DeleteDatasetOutput";
export * from "../types/DeleteDatasetExceptionsUnion";
export declare class DeleteDatasetCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDatasetInput, OutputTypesUnion, DeleteDatasetOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDatasetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDatasetInput, DeleteDatasetOutput, _stream.Readable>;
    constructor(input: DeleteDatasetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<DeleteDatasetInput, DeleteDatasetOutput>;
}
