"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBulkPublishDetails_1 = require("../model/operations/GetBulkPublishDetails");
var GetBulkPublishDetailsCommand = /** @class */ (function () {
    function GetBulkPublishDetailsCommand(input) {
        this.input = input;
        this.model = GetBulkPublishDetails_1.GetBulkPublishDetails;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBulkPublishDetailsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBulkPublishDetailsCommand;
}());
exports.GetBulkPublishDetailsCommand = GetBulkPublishDetailsCommand;
//# sourceMappingURL=GetBulkPublishDetailsCommand.js.map