/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterDeviceInput } from "../types/RegisterDeviceInput";
import { RegisterDeviceOutput } from "../types/RegisterDeviceOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/RegisterDeviceInput";
export * from "../types/RegisterDeviceOutput";
export * from "../types/RegisterDeviceExceptionsUnion";
export declare class RegisterDeviceCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterDeviceInput, OutputTypesUnion, RegisterDeviceOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: RegisterDeviceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterDeviceInput, RegisterDeviceOutput, _stream.Readable>;
    constructor(input: RegisterDeviceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<RegisterDeviceInput, RegisterDeviceOutput>;
}
