/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetIdentityPoolConfigurationInput } from "../types/SetIdentityPoolConfigurationInput";
import { SetIdentityPoolConfigurationOutput } from "../types/SetIdentityPoolConfigurationOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/SetIdentityPoolConfigurationInput";
export * from "../types/SetIdentityPoolConfigurationOutput";
export * from "../types/SetIdentityPoolConfigurationExceptionsUnion";
export declare class SetIdentityPoolConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, SetIdentityPoolConfigurationInput, OutputTypesUnion, SetIdentityPoolConfigurationOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: SetIdentityPoolConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetIdentityPoolConfigurationInput, SetIdentityPoolConfigurationOutput, _stream.Readable>;
    constructor(input: SetIdentityPoolConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<SetIdentityPoolConfigurationInput, SetIdentityPoolConfigurationOutput>;
}
