"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListIdentityPoolUsageInput_1 = require("../shapes/ListIdentityPoolUsageInput");
var ListIdentityPoolUsageOutput_1 = require("../shapes/ListIdentityPoolUsageOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListIdentityPoolUsage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListIdentityPoolUsage",
    http: {
        method: "GET",
        requestUri: "/identitypools"
    },
    input: {
        shape: ListIdentityPoolUsageInput_1.ListIdentityPoolUsageInput
    },
    output: {
        shape: ListIdentityPoolUsageOutput_1.ListIdentityPoolUsageOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListIdentityPoolUsage.js.map