"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteDatasetInput = {
    type: "structure",
    required: ["IdentityPoolId", "IdentityId", "DatasetName"],
    members: {
        IdentityPoolId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityPoolId"
        },
        IdentityId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityId"
        },
        DatasetName: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "DatasetName"
        }
    }
};
//# sourceMappingURL=DeleteDatasetInput.js.map